Package org.optaplanner.benchmark.impl.aggregator

## Class BenchmarkAggregator

- java.lang.Object
- - org.optaplanner.benchmark.impl.aggregator.BenchmarkAggregator

-     public class BenchmarkAggregator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.slf4j.Logger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BenchmarkAggregator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `aggregate​(List<SingleBenchmarkResult> singleBenchmarkResultList)` |
    `File` | `aggregate​(List<SingleBenchmarkResult> singleBenchmarkResultList, Map<SolverBenchmarkResult,​String> solverBenchmarkResultNameMap)` |
    `File` | `getBenchmarkDirectory()` |
    `BenchmarkReportConfig` | `getBenchmarkReportConfig()` |
    `void` | `setBenchmarkDirectory​(File benchmarkDirectory)` |
    `void` | `setBenchmarkReportConfig​(BenchmarkReportConfig benchmarkReportConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

  - ### Constructor Detail

    - #### BenchmarkAggregator

          public BenchmarkAggregator()

  - ### Method Detail

    - #### getBenchmarkDirectory

          public File getBenchmarkDirectory()

    - #### setBenchmarkDirectory

          public void setBenchmarkDirectory​(File benchmarkDirectory)

    - #### getBenchmarkReportConfig

          public BenchmarkReportConfig getBenchmarkReportConfig()

    - #### setBenchmarkReportConfig

          public void setBenchmarkReportConfig​(BenchmarkReportConfig benchmarkReportConfig)

    - #### aggregate

          public File aggregate​(List<SingleBenchmarkResult> singleBenchmarkResultList)

    - #### aggregate

          public File aggregate​(List<SingleBenchmarkResult> singleBenchmarkResultList,
                                Map<SolverBenchmarkResult,​String> solverBenchmarkResultNameMap)